## List Payment Links

### cURL

```
curl --request GET \
  --url https://api.withflex.com/v1/payment_links \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.withflex.com/v1/payment_links"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/payment_links', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- 200
- 401
- 403
- 404
- 409
- 422
- 429

### Example JSON Response

```
{
  "payment_links": [
    {
      "payment_link_id": "fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "label": "Example",
      "active": false,
      "allow_promotion_codes": false,
      "shipping_address_collection": false,
      "metadata": {
        "order_id": "8842",
        "channel": "shopify"
      },
      "url": "https://example.com",
      "created_at": "2026-06-15T14:30:00Z",
      "after_completion": {},
      "setup_future_use": "on_session",
      "test_mode": false
    }
  ]
}
```

### Error Response Example

```
{
  "code": "string",
  "detail": "string"
}
```

### Query Parameters

- **limit**: `integer<int32> | null` 
  - Maximum number of payment links to return
  - Required range: `x >= 1`
  - Example: `10`

- **offset**: `integer<int32> | null` 
  - Number of payment links to skip (deprecated, use cursor pagination)
  - Required range: `x >= 0`
  - Example: `3`

- **starting_after**: `string | null` 
  - Cursor for pagination - return payment links after this ID
  - Example: `"fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`

- **ending_before**: `string | null` 
  - Cursor for pagination - return payment links before this ID
  - Example: `"fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`

### Authorization
- **Authorization**: required header 
  - Use a Bearer token to access this API.

### Response Structure
- **200** 
  - `application/json`
  - An envelope wrapping a list of payment link objects: 
    - `payment_links`: required, the list of payment links.
